%define version 2.2
Name:				labrea
Summary:			labrea is a daemon to create a tarpit or sticky honeypot
Version:			%{version}
Release:			0
Copyright:			GPL
Packager:			William Stearns <wstearns@pobox.com>
Group:				System Environment/Daemons
Source:				http://www.hackbusters.net/LaBrea/LaBrea2_2.tgz
Source1:			labrea.init
Source2:			labrea.conf
#Patch0:			goober-2.1-make.patch
Prereq:				libnet
#Syntax for buildrequires?  Needs libnet to build
Vendor:				Tom Liston <tliston@hackbusters.net>
URL:				http://www.hackbusters.net/LaBrea/
BuildRoot:			/tmp/labrea-broot


%description
LaBrea is a program that creates a tarpit or, as some have called it, a
"sticky honeypot". LaBrea takes over unused IP addresses on a network
and creates "virtual machines" that answer to connection attempts.
LaBrea answers those connection attempts in a way that causes the
machine at the other end to get "stuck", sometimes for a very long time.


%changelog
* Tue Oct  2 2001 William Stearns <wstearns@pobox.com>
- Updated source to 2.1
- release 1: using libpcap from tcpdump.org, not redhat's.
- Updated source to 2.2, compiled with tcpdump.org's libpcap.
  DO NOT compile this with redhat's libpcap; the resulting binary
  will be unable to detect network settings.

* Tue Sep 25 2001 William Stearns <wstearns@pobox.com>
- First RPM package from 2.0 sources


%prep
%setup -n LaBrea


%build
make


%install
if [ "$RPM_BUILD_ROOT" = "/tmp/labrea-broot" ]; then
	rm -rf $RPM_BUILD_ROOT

	install -d $RPM_BUILD_ROOT/etc
	install -d $RPM_BUILD_ROOT/etc/init.d
	install -d $RPM_BUILD_ROOT/usr/sbin
	install -d $RPM_BUILD_ROOT/var/log

	touch $RPM_BUILD_ROOT/etc/LaBreaExclude
	touch $RPM_BUILD_ROOT/etc/LaBreaHardExclude
	touch $RPM_BUILD_ROOT/var/log/labrea

	cp -p LaBrea $RPM_BUILD_ROOT/usr/sbin/labrea
	cp -p $RPM_SOURCE_DIR/labrea.init $RPM_BUILD_ROOT/etc/init.d/labrea
	cp -p $RPM_SOURCE_DIR/labrea.conf $RPM_BUILD_ROOT/etc/
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi

						
%clean
if [ "$RPM_BUILD_ROOT" = "/tmp/labrea-broot" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
	exit 1
fi


%files
%defattr(-,root,root)
%attr(644,root,root)		%config	/etc/labrea.conf
%attr(644,root,root)		%config	/etc/LaBreaExclude
%attr(644,root,root)		%config	/etc/LaBreaHardExclude
%attr(755,root,root)			/etc/init.d/labrea
%attr(755,root,root)			/usr/sbin/labrea
				%doc	LICENSE LaBrea.README
%attr(600,root,root)			/var/log/labrea


%post
if [ "$1" = "1" ]; then		#This package is being installed for the first time
	if [ -f /sbin/chkconfig ]; then
		/sbin/chkconfig --add labrea
	fi
fi


%preun
if [ "$1" = "0" ]; then		#This is being completely erased, not upgraded
	if [ -f /sbin/chkconfig ]; then
		/sbin/chkconfig --del labrea
	fi
fi

